Subject: Re: bug#21057: [PATCH] nnimap.el: add support for IMAP namespaces

From: Nikolaus Rath <[email-masked]>
Date: Mon, 23 Jul 2018 08:22:26 +0100

On Jul 23 2018, Lars Ingebrigtsen <[email-masked]> wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>> This raises an error for me when Gnus starts.
>>
>> `nnimap-retrieve-group-data-early' calls `nnimap-group-to-imap', which
>> does:
>>
>> (substring nnimap-namespace 0 -1)
>>
>> `nnimap-namespace' is nil, so an error is raised.
>
> I've now reverted the patch.  It seems like if you're not using
> namespaces, it'll bug out in several places that assumes that namespaces
> are in use.

I think the problem is just the default value for nnimap-namespace
provided to defvoo, it should be the empty string rather than nil.

Am I missing something?

Best,
-Nikolaus

-- 
GPG Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             »Time flies like an arrow, fruit flies like a Banana.«